Create Task
Scheduled Tasks
Create Task
Create a new scheduled task
POST
Create Task
It’s simple to use: you only need to submit your
This was a successful request, so the API returned a 201 OK response with the new scheduled task for your account.
access_key and the payload. The API will return the new scheduled task created.
Requests to this endpoint are not counted against your usage quota, but they are still subject to rate limiting. This ensures fair use and stability of the platform. If you exceed the rate limit, your requests may be temporarily blocked.
Getting started
REST
The Task API, like all of ScreenshotMAX’s APIs, is organized around REST. It is designed to use predictable, resource-oriented URL’s and to use HTTP status codes to indicate errors.HTTPS
The Task API requires all communications to be secured TLS 1.2 or greater.API Versions
All of ScreenshotMAX’s APIs are versioned. The Task API is currently on Version 1.Your Access Key
Your access key is your unique authentication key to be used to access ScreenshotMAX APIs. To authenticate your requests, you will need to append your access key to the base URL as a query parameter for GET requests. For POST and PATCH requests, you can include your access key in the request body as a JSON object. You can also use theX-Access-Key header to pass your access key.
You can find your access key in your account dashboard.
Base URL
Validation endpoint
ScreenshotMAX’s Task API simply requires your unique access key. The API will return the list of your scheduled tasks for your account.Body parameters
string
required
Your unique access key. You can find your access key in your account dashboard.
string
required
Name of the scheduled task. The maximum length is 100 characters.
string
required
Api endpoint for the scheduled task. Available options are:
screenshotscreencastpdfscrape
string
required
Query parameters for the scheduled task without the
access_key parameter.
The querystring can be URL-encoded.For example, url=https%3A%2F%2Fexample.com is the URL-encoded version of url=https://example.com.string
required
Frequency of the scheduled task. Available options are:
every_minuteevery_hourevery_dayevery_monthcustom(use standard cron syntax)
string
Optional - Only available if the
frequency is set to custom.
Cron expression used to the scheduled task. You can create one easily using the Unix Cron Format with this tool Unix Cron Generator.The cron expression is a string that represents a schedule in the Unix cron format. It consists of five fields separated by spaces, each representing a different unit of time.
The fields are:- minute (0-59)
- hour (0-23)
- day of the month (1-31)
- month (1-12)
- day of the week (0-6, where 0 is Sunday)
The cron expression can also include special characters such as
*(any value),,(list of values),-(range of values), and/(step values).
34 9 28 * * means “run at 9:34 AM on the 28th day of every month”.string
default:"Etc/UTC"
Timezone for the scheduled task. Available time zones from the IANA Time Zone Database.
boolean
default:"true"
Indicates if the scheduled task is enabled or disabled.
Response parameters
The API response is returned in a universal and lightweight JSON format.number
Unique identifier for the scheduled task. This ID is automatically generated when you create a new scheduled task.
string
Name of the scheduled task.
string
Service to be used for the scheduled task. Available options include
screenshot, screencast, pdf and scrape.string
Query parameters for the scheduled task without the
access_key parameter.
The querystring can be URL-encoded.For example, url=https%3A%2F%2Fexample.com is the URL-encoded version of url=https://example.com.string
Frequency of the scheduled task. Available options are
every_minute, every_hour, every_day, every_month and custom (use standard cron syntax).string
Cron expression used to the scheduled task. Use Unix Cron Format
string
Timezone for the scheduled task. Available time zones from the IANA Time Zone Database.
boolean
Indicates if the scheduled task is enabled or disabled.
number
Unix timestamp in seconds when the scheduled task was created.
number
Unix timestamp in seconds when the scheduled task was last run.
number
Number of times the scheduled task has run.

